
Name:           mpv
Version:        0.27.2
Release:        %mkrel 1
Summary:        Advanced General Purpose Video Player
License:        GPL-2.0+
Group:          Video
Url:            http://mpv.io/
Source0:        https://github.com/mpv-player/mpv/archive/%name-%{version}.tar.xz
Source1:        mpv.conf
Patch0:		    mpv-0.27.1-fix-vaapi-upstream-b881881dbd38a1720a9f8401fd1baafdd0dfccc0.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#------------------------------------------------------------------------------------
BuildRequires: lib64alsa2-devel 
BuildRequires: lib64archive-devel
BuildRequires: lib64ass-devel 
BuildRequires: lib64bluray-devel 
BuildRequires: lib64bs2b-devel 
BuildRequires: lib64cdio-devel 
BuildRequires: lib64cdio-paranoia-devel 
BuildRequires: lib64drm-devel
BuildRequires: lib64dvdnav-devel
BuildRequires: lib64dvdread-devel
BuildRequires: lib64enca-devel
BuildRequires: lib64ffmpeg-devel
BuildRequires: lib64guess-devel
BuildRequires: lib64jack-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64lua5.2-devel
BuildRequires: lib64mowgli2-devel
BuildRequires: lib64openal-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64smbclient0-devel
BuildRequires: lib64v4l-devel
BuildRequires: lib64va-devel
BuildRequires: lib64vdpau-devel
BuildRequires: lib64wayland-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64xinerama-devel 
BuildRequires: lib64xkbcommon-devel
BuildRequires: lib64xrandr2-devel
BuildRequires: lib64xrender-devel
BuildRequires: lib64xscrnsaver-devel
BuildRequires: lib64xv-devel
BuildRequires: mesa-devel
BuildRequires: pkgconfig
BuildRequires: python-docutils
BuildRequires: waf
BuildRequires: yasm
BuildRequires: x11-proto-devel
BuildRequires: zlib1-devel
#------------------------------------------------------------------------
Requires: lib64mowgli2_0

%description
mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%name
Obsoletes:	%name-devel < %version

%description	devel
Development files for %name.

%prep
%setup -q
%patch0 -p0

%build
LDFLAGS="%{ldflags} -lSDL" \
CCFLAGS="%{optflags}" \
waf configure \
	--prefix="%{_prefix}" \
	--bindir="%{_bindir}" \
	--mandir="%{_mandir}" \
	--libdir="%{_libdir}" \
	--docdir="%{_docdir}/%{name}" \
	--confdir="%{_sysconfdir}/%{name}" \
	--disable-build-date \
	--disable-debug \
	--enable-cdda \
	--enable-dvdnav	\
	--enable-dvdread \
	--enable-encoding \
	--enable-openal \
	--enable-pulse \
	--enable-wayland \
	--enable-gl-wayland \
	--enable-egl-x11 \
	--enable-vaapi \
	--enable-vaapi-glx \
	--enable-vaapi-hwaccel \
	--enable-libmpv-shared \
	--enable-libsmbclient \
	--enable-libass \
	--enable-libass-osd \
	--enable-dvbin \
	--enable-sdl2 \
	--enable-tv \
	--enable-libarchive \
	--enable-zsh-comp 
	
waf build --verbose

%install
rm -rf %buildroot
waf --destdir=%{buildroot} install

# add a default config that prefers hardware decoding if avalaible
# vo=vaapi,opengl option seems to be deprecated - commented out
# hwdec=auto has been replaced with hwdec=vaapi
mkdir -p %{buildroot}/%{_sysconfdir}/mpv/
install -m 0644 %SOURCE1 %{buildroot}/%{_sysconfdir}/mpv/mpv.conf

%files
%defattr(-,root,root)
%doc LICENSE* Copyright README.md RELEASE_NOTES	etc/input.conf TOOLS/lua
%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_libdir}/*.so.*
%{_datadir}/icons/hicolor/scalable/apps/mpv.svg
%{_datadir}/icons/hicolor/symbolic/apps/mpv-symbolic.svg
%{_datadir}/zsh/site-functions/_mpv
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/mpv/encoding-profiles.conf

%files devel
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Feb 17 2018 bb2 <bb2> - 0.27.2-1pclos2018
- new version

* Wed Jan 03 2018 Zen Subz <techars21 at gmail dot com> - 0.27.0-3pclos2018
- Enable libarchive, tv/dvbin support

* Tue Oct 31 2017 bb2 <bb2> - 0.27.0-2pclos2017
- rebuild against updates

* Wed Oct 04 2017 bb2 <bb2> - 0.27.0-1pclos2017
- new version
- new gcc

